.\" Copyright (c) 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by the University of
.\"	California, Berkeley and its contributors.
.\" 4. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"	@(#)MAKEDEV.8	8.1 (Berkeley) 6/5/93
.\" $FreeBSD: src/share/man/man8/man8.i386/MAKEDEV.8,v 1.5.2.3 1999/09/05 11:27:11 peter Exp $
.\"
.Dd June 5, 1993
.Dt MAKEDEV 8 i386
.Os
.Sh NAME
.Nm MAKEDEV
.Nd create system and device special files
.Sh SYNOPSIS
.Nm
name ...
.Sh DESCRIPTION
The shell script
.Nm
found in the ``/dev'' directory, is used to create the common special
files.
See
.Xr intro 4
for a more complete discussion of special files.
.Pp
.Nm
takes any number of device names as arguments, where the names are
the common abbreviation for the device.
There are two special devices, ``std'' and ``local''.
The former creates the standard devices for the architecture.
The latter is for devices specific to the local site, and
executes the shell file ``MAKEDEV.local''.
.Pp
The i386 supports the following devices.
Where a device name is followed by a hash sign (``#''), the hash sign
must be replaced by a unit number.
.Bl -tag -width indent
.It std
the standard devices (console, drum, fd/*, klog, kmem, mem, null,
stderr, stdin, stdout, tty)
.It local
configuration specific devices
.It tty#
standard PC COM ports
.It fd#
``floppy'' disk drives (3 1/2, 5 1/4)
.It pty#
set of 16 master and slave pseudo terminals
.It sd#
SCSI disk drives
.It st#
SCSI tape drives
.It vty#
set of 12 virtual console devices for syscons/pcvt/codrv
.It wd#
``winchester'' disk drives (ST506, IDE, ESDI, RLL etc.)
.It wt#
QIC-interfaced (e.g. not SCSI) 3M cartridge tape
.El
.Sh FILES
.Bl -tag -width /dev/xxxx -compact
.It Pa /dev
The special file directory.
.Sh SEE ALSO
.Xr intro 4 ,
.Xr config 8 ,
.Xr mknod 8
